------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]剧情测试脚本
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------

local LuaSceneScript = {
    -- 测试用脚本，请根据实际数据修改
    [1] = { file="Script/DemoScript.lua", },
	[2] = { file="Script/WolfWarriors.lua", },
	[3] = { file="Script/PantherWarriors.lua", },	
	[4] = { file="Script/LionWarriors.lua", },
	[5] = { file="Script/TigerWarriors.lua", },
	[6] = { file="Script/KingWarriors.lua", },
	[7] = { file="Script/BaibingSpectrum.lua", },
	[8] = { file="Script/SpringFestivalMainLine2020First.lua", },
	[9] = { file="Script/ValDayEnterPrison.lua", },
	[10] = { file="Script/ValDayKillMonster.lua", },
	[11] = { file="Script/ValentinePart2One.lua", },
	[12] = { file="Script/ValentinePart2Tow.lua", },
	[13] = { file="Script/ValentinePart2Three.lua", },
	[14] = { file="Script/ValentinePart2TowFour.lua", },
	[15] = { file="Script/ValentinePart2TowFive.lua", },
	[16] = { file="Script/ValentinePart2TowSix.lua", },
	[17] = { file="Script/ValentinePart2TowSeven.lua", },
    	[18] = { file="Script/NinjaAwakeForward/Chapter1Start.lua"},
   	[19] = { file="Script/NinjaAwakeForward/Chapter1End.lua"},
   	[20] = { file="Script/NinjaAwakeForward/Chapter2Start.lua"},
   	[21] = { file="Script/NinjaAwakeForward/Chapter2End.lua"},
    	[22] = { file="Script/NinjaAwakeForward/Chapter3.lua"},
	[23] = { file="Script/NinjaQuest/NinjaQuestPlot1.lua", },
	[24] = { file="Script/NinjaQuest/NinjaQuestPlot2.lua", },
	[25] = { file="Script/NinjaQuest/NinjaQuestPlot3.lua", },
	[26] = { file="Script/NinjaQuest/NinjaQuestPlot4.lua", },
	[27] = { file="Script/NinjaQuest/NinjaQuestPlot5.lua", },
	[28] = { file="Script/NinjaQuest/NinjaQuestPlot6.lua", },
	[29] = { file="Script/NinjaQuest/NinjaQuestPlot7.lua", },
	[30] = { file="Script/NinjaQuest/NinjaQuestPlot8.lua", },
	[31] = { file="Script/NinjaQuest/NinjaQuestPlot9.lua", },
	[32] = { file="Script/NinjaQuest/NinjaQuestPlot10.lua", },
	[33] = { file="Script/NinjaQuest/NinjaQuestPlot11.lua", },
	[34] = { file="Script/NinjaQuest/NinjaQuestPlot12.lua", },
	[35] = { file="Script/NinjaQuest/NinjaQuestPlot13.lua", },
	[36] = { file="Script/NinjaQuest/NinjaQuestPlot14.lua", },
	[37] = { file="Script/NinjaQuest/NinjaQuestPlot15.lua", },
	[38] = { file="Script/NinjaQuest/NinjaQuestPlot16.lua", },
	[39] = { file="Script/NinjaQuest/NinjaQuestPlot17.lua", },
	[40] = { file="Script/NinjaQuest/NinjaQuestPlot18.lua", },
	[41] = { file="Script/NinjaQuest/NinjaQuestPlot19.lua", },
	[42] = { file="Script/NinjaQuest/NinjaQuestPlot20.lua", },
	[43] = { file="Script/StrengthCopy.lua", },
	[44] = { file="Script/Aniversary2020Guide.lua", },
	[45] = { file="Script/Aniversary2020GuideTwo.lua", },
	[46] = { file="Script/Aniversary2020GuideThree.lua", },
	[47] = { file="Script/Aniversary2020GuideTwoPassion.lua", },
	[48] = { file="Script/Aniversary2020GuideThreePassion.lua", },
	[49] = { file="Script/ChildrenDay/2020/ChildrenDayMainNpc.lua", },
	[50] = { file="Script/ChildrenDay/2020/ChildrenDayMainMap.lua", },
	[51] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick1.lua", },
	[52] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick2.lua", },
	[53] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick3.lua", },
	[54] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick4.lua", },
	[55] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick5.lua", },
	[56] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick6.lua", },
	[57] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick7.lua", },
	[58] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick8.lua", },
	[59] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick9.lua", },
	[60] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick10.lua", },
	[61] = { file="Script/SummerActivity2020.lua", },
	[62] = { file="Script/QixiFestivalNPC.lua", },
	[63] = { file="Script/MidAutumnNpcScript.lua", },
	[69] = { file="Script/Halloween/2020/HalloweenNightmare4.lua", },
	[70] = { file="Script/Halloween/2020/HalloweenNightmare6.lua", },
	[71] = { file="Script/Halloween/2020/HalloweenMain.lua", },
	[72] = { file="Script/Halloween/2020/NightMarePartOne.lua", },
	[73] = { file="Script/Halloween/2020/Halloween2020Nightmare1.lua", },
	[74] = { file="Script/Halloween/2020/Halloween2020Nightmare2.lua", },
	[75] = { file="Script/Halloween/2020/Halloween2020Nightmare3.lua", },
	[76] = { file="Script/Halloween/2020/Halloween2020Nightmare4.lua", },
	[77] = { file="Script/Halloween/2020/Halloween2020Nightmare5.lua", },
	[78] = { file="Script/Halloween/2020/Halloween2020Nightmare6.lua", },
	[79] = { file="Script/Halloween/2020/Halloween2020Nightmare7.lua", },
	[80] = { file="Script/Halloween/2020/Halloween2020Nightmare8.lua", },
	[81] = { file="Script/Halloween/2020/Halloween2020Nightmare9.lua", },
	[82] = { file="Script/Halloween/2020/Halloween2020Nightmare10.lua", },
	[84] = { file="Script/DoubleElevenPreheat2020.lua", },
	[91] = { file="Script/DoubleElevenPreheat2020Nogift.lua", },
	[83] = { file="Script/Thanksgiving/ThanksgivingMainNpc.lua", },
	[85] = { file="Script/Thanksgiving/SecondaryNPCScript.lua", },
	[86] = { file="Script/WarriorAwakens/WarriorAwakens3Guide.lua", },
	[87] = { file="Script/WarriorAwakens/WarriorAwakens2.lua",},
	[89] = { file="Script/WarriorAwakens/WarriorAwakens1.lua", },
	[88] = { file="Script/WarriorAwakens/WarriorAwakensPlot4.lua", },
	[97] = { file="Script/WarriorAwakens/WarriorAwakens4EnterMap.lua", },
	[98] = { file="Script/WarriorAwakens/WarriorAwakens4ChoiceBoss.lua", },
	[99] = { file="Script/WarriorAwakens/WarriorAwakens4BossDiePlot.lua", },
	[90] = { file="Script/Thanksgiving/SecondaryNPCScriptNoGift.lua", },
	[92] = { file="Script/ChristmasNPC.lua", },
	[93] = { file="Script/ChristmasMap.lua", },
	[110] = { file="Script/WarriorAwaken/WarriorAwakenPlot1.lua", },
	[111] = { file="Script/WarriorAwaken/WarriorAwakenPlot2.lua", },
	[94] = { file="Script/WarriorAwaken/WarriorAwakenPlot3.lua", },
	[95] = { file="Script/WarriorAwaken/WarriorAwakenPlot4.lua", },
	[96] = { file="Script/WarriorAwaken/WarriorAwakenPlot5.lua", },
	[101] = { file="Script/WarriorAwaken/WarriorAwakenPlot6.lua", },
	[102] = { file="Script/WarriorAwaken/WarriorAwakenAfter1.lua", },
	[103] = { file="Script/WarriorAwaken/WarriorAwakenAfter2.lua", },
	[104] = { file="Script/WarriorAwaken/WarriorAwakenAfter3.lua", },
	[105] = { file="Script/WarriorAwaken/WarriorAwakenAfter4.lua", },
	[106] = { file="Script/WarriorAwaken/WarriorAwakenAfter5.lua", },
	[107] = { file="Script/SpringFestival/2021/SpringFestival1.lua", },
	[108] = { file="Script/SpringFestival/2021/ZodiacPeachMansion.lua", },
	[109] = { file="Script/SpringFestival/2021/SpringFestivalLionDance.lua", },
	[112] = { file="Script/FebPromotion2021.lua", },
	[113] = { file="Script/ValentinesDay/2021/ValentinesDayNPC.lua", },
	[114] = { file="Script/ValentinesDay/2021/WhiteValentinesDays2021Plot1.lua", },
	[115] = { file="Script/ValentinesDay/2021/WhiteValentinesDays2021Plot2.lua", },
	[116] = { file="Script/ValentinesDay/2021/WhiteValentinesDays2021Plot3.lua", },
	[117] = { file="Script/ValentinesDay/2021/WhiteValentinesDays2021Plot4.lua", },
	[118] = { file="Script/ValentinesDay/2021/TheLittleMermaidBegin.lua", },
	[119] = { file="Script/ValentinesDay/2021/TheLittleMermaidEnd.lua", },
	[120] = { file="Script/ValentinesDay/2021/GulliverSmall.lua", },
	[121] = { file="Script/ValentinesDay/2021/GulliverBig.lua", },
	[122] = { file="Script/ValentinesDay/2021/ValentinesDayMap.lua", },
	[123] = { file="Script/AprilFoolsDay/2021/MagicCardHouse.lua", },
	[145] = { file="Script/Anniversary2021Part2.lua", },
	[146] = { file="Script/Anniversary2021Part1.lua", },
	[147] = { file="Script/Anniversary2021Part2-2.lua", },
	[148] = { file="Script/ChildrenDay/2021/ChildrenNPC2021Part.lua", },
    	[156] = { file="Script/AnniversaryCutBargain.lua", },
	[179] = { file="Script/SummerAct2021.lua", },
	[192] = { file="Script/SummerAct2021DaXuanWo1.lua", },
	[193] = { file="Script/SummerAct2021DaXuanWo2.lua", },
	[194] = { file="Script/SummerAct2021DaXuanWo3.lua", },
	[168] = { file="Script/GhostDreamlandNpc/GhostDreamlandNpc1.lua", },
	[169] = { file="Script/GhostDreamlandNpc/GhostDreamlandNpc2.lua", },
	[190] = { file="Script/ArcherAwakeningWarmUp1.lua", },
	[191] = { file="Script/ArcherAwakeningWarmUp2.lua", },
	[158] = { file="Script/archerstask1.lua", },
	[159] = { file="Script/archerstask2.lua", },
	[160] = { file="Script/archerstask3.lua", },
	[161] = { file="Script/archerstask4.lua", },
	[162] = { file="Script/archerstask5.lua", },
	[163] = { file="Script/archerstask6.lua", },
	[164] = { file="Script/archerstask7.lua", },
	[165] = { file="Script/archerstask8.lua", },
	[166] = { file="Script/archerstask9.lua", },
	[167] = { file="Script/archerstask10.lua", },
	[181] = { file="Script/archerstask11.lua", },
	[182] = { file="Script/archerstask12.lua", },
	[183] = { file="Script/archerstask13.lua", },
	[184] = { file="Script/archerstask14.lua", },
	[185] = { file="Script/archerstask15.lua", },
	[186] = { file="Script/archerstask16.lua", },
	[187] = { file="Script/archerstask17.lua", },
	[188] = { file="Script/archerstask18.lua", },
	[189] = { file="Script/archerstask19.lua", },
	[203] = { file="Script/QiXi2021.lua", },
	[202] = { file="Script/HuangYeDou.lua", },
	[211] = { file="Script/AutumnHunting.lua", },
	[208] = { file="Script/MidAutumnMaze.lua", },
	[209] = { file="Script/Mid-AutumnFestival/2021/Miscellaneous1.lua", },
	[195] = { file="Script/ValleyOfFallen/ValleyOfFallen1.lua", },
	[196] = { file="Script/ValleyOfFallen/ValleyOfFallen2.lua", },
	[197] = { file="Script/ValleyOfFallen/ValleyOfFallen3.lua", },
	[198] = { file="Script/ValleyOfFallen/ValleyOfFallen4.lua", },
	[199] = { file="Script/ValleyOfFallen/ValleyOfFallen5.lua", },
	[200] = { file="Script/ValleyOfFallen/ValleyOfFallen6.lua", },
	[201] = { file="Script/ValleyOfFallen/ValleyOfFallen7.lua", },
	[227] = { file="Script/EgyptCoat.lua", },
	[222] = { file="Script/Halloween/2021/Halloween2021Main.lua", },
	[226] = { file="Script/Halloween/2021/halloweenback.lua", },
	[214] = { file="Script/ColorfulGourd.lua", },
	[230] = { file="Script/ThanksMain2021NPC.lua", },
    	[239] = { file="Script/ChristmasNPC2021.lua", },
	[232] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask1.lua", },
	[233] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask2.lua", },
	[234] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask3.lua", },
	
	[235] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask4.lua", },
	[236] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask5.lua", },
	[237] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask6.lua", },
	[238] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask7.lua", },
	[240] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask8.lua", },
	[241] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask9.lua", },
	[242] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask10.lua", },
	[243] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask11.lua", },
	[244] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask12.lua", },
	[245] = { file="Script/TaoistNewAreaTask/TaoistNewAreaTask13.lua", },
	[246] = { file="Script/SpringFestival2022.lua", },
	[247] = { file="Script/TigerKuaFuBoom.lua", },
	[250] = { file="Script/ValentinesDay2022Rose1.lua", },
	[251] = { file="Script/ValentinesDay2022Rose2.lua", },
	[248] = { file="Script/FlowerParty.lua", },
	[249] = { file="Script/ValentineDayTulip.lua", },
	[252] = { file="Script/ValentineDayTulip2.lua", },
	[253] = { file="Script/WhiteDay/2022/WhiteDayNPC.lua", },
	[254] = { file="Script/WhiteDay/2022/WhiteDay2022Demon1.lua", },
	[255] = { file="Script/WhiteDay/2022/WhiteDay2022Demon2.lua", },
	[256] = { file="Script/WhiteDay/2022/WhiteDay2022Demon3.lua", },
	[266] = { file="Script/AprilFoolsDay2022.lua", },
	[270] = { file="Script/Anniversary/2022/Anniversary2022.lua", },
	[276] = { file="Script/ChildrenDay/2022/ChildrenDay2022Part.lua", },
	[277] = { file="Script/ChildrenDay/2022/YoungDragon.lua", },
	[278] = { file="Script/ChildrenDay/2022/JuniorDragonFire.lua", },
	[279] = { file="Script/ChildrenDay/2022/JuniorDragonIce.lua", },
	[280] = { file="Script/ChildrenDay/2022/SeniorDragon.lua", },
	[285] = { file="Script/SummerNPC2022.lua", },
	[284] = { file="Script/SummerActive/2022/SummerActiveCross.lua", },
	[271] = { file="Script/PirateNewAreaTask/PirateNewAreaTask1.lua", },
	[272] = { file="Script/PirateNewAreaTask/PirateNewAreaTask2.lua", },
	[273] = { file="Script/PirateNewAreaTask/PirateNewAreaTask3.lua", },
	[274] = { file="Script/PirateNewAreaTask/PirateNewMainTask1.lua", },
	[275] = { file="Script/PirateNewAreaTask/PirateNewMainTask2.lua", },
	[291] = { file="Script/QiXi/2022/QiXiPage.lua", },
	[292] = { file="Script/QiXi/2022/QiXiMemory1.lua", },
	[293] = { file="Script/QiXi/2022/QiXiMemory2.lua", },
	[294] = { file="Script/QiXi/2022/QiXiMemory3.lua", },
	[295] = { file="Script/QiXi/2022/QiXiMemory4.lua", },
	[296] = { file="Script/QiXi/2022/QiXiMemory5.lua", },
	[297] = { file="Script/QiXi/2022/QiXiMemory6.lua", },
	[298] = { file="Script/QiXi/2022/QiXiMemory7.lua", },
	[286] = { file="Script/QiXi/2022/TanabataFestivalNpc1.lua", },
	[299] = { file="Script/QiXi/2022/TanabataFestivalNpc2.lua", },
	[300] = { file="Script/xiajiyundonghui.lua", },
	[306] = { file="Script/zhongqiu5-1.lua", },
	[307] = { file="Script/zhongqiu5-2.lua", },
	[301] = { file="Script/ZhongQiu/2022/zhongqiu1.lua", },
	[302] = { file="Script/zhongqiu2-1.lua", },
	[303] = { file="Script/zhongqiu2-2.lua", },
	[304] = { file="Script/zhongqiu3.lua", },
	[305] = { file="Script/zhongqiu4.lua", },
	[311] = { file="Script/Halloween/2022/HalloweenNPC.lua", },
	[318] = { file="Script/Halloween/2022/HorrorTheatre.lua", },
	[321] = { file="Script/2022Thanksgiving/2022Thanksgiving1.lua", },
	[347] = { file="Script/2022Thanksgiving/2022Thanksgiving7.lua", },
	[348] = { file="Script/2022Thanksgiving/2022Thanksgiving8.lua", },
	[349] = { file="Script/2022Thanksgiving/2022Thanksgiving9.lua", },
	[352] = { file="Script/2022Thanksgiving/2022Thanksgiving2.lua", },
	[353] = { file="Script/2022Thanksgiving/2022Thanksgiving3.lua", },
	[354] = { file="Script/2022Thanksgiving/2022Thanksgiving4.lua", },
	[355] = { file="Script/2022Thanksgiving/2022Thanksgiving5.lua", },
	[356] = { file="Script/2022Thanksgiving/2022Thanksgiving6.lua", },
}

local s_threadScript = nil

-- 启用脚本
local function LoadScript(idScript)
	if (idScript == 0) then
		return
	end

    local tScript = LuaSceneScript[idScript]

    if (tScript == nil) then
        return
    end

	dofile(tScript.file)
	CppScriptMgr:Lua2CScriptEnd()
end

function LuaScriptMgr_BeginScript(idScript)
	if s_threadScript then
		s_threadScript = nil
	end

	s_threadScript = coroutine.create(LoadScript)
	coroutine.resume(s_threadScript, idScript)
end

function LuaScriptMgr_PlayScript()
	if not s_threadScript then
		return
	end

	coroutine.resume(s_threadScript)
end

function LuaScriptMgr_WaitScript()
	if not s_threadScript then
		return
	end

	coroutine.yield(s_threadScript)
end

function LuaScriptMgr_EndScript()
	s_threadScript = nil
end

local DLG_CAN_SHOW = {
[958] = true,
[966] = true,
}

-- 脚本剧情中是否可显示窗口
function LuaScriptMgr_IsDlgCanShow(id)
    local ret = DLG_CAN_SHOW[id]

    if (ret == nil) then
        return false
    end

    return ret
end

function LuaScriptMgr_Unload()
    DLG_CAN_SHOW = nil
end

function LuaScriptMgr_GetScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return ""
    end

    return tScript.file
end

--同步口袋接口5个

-- 旋转镜头
-- x,y 旋转的中心点
-- r 旋转半径
-- Time 时间(默认300)
function XuanZhuan(x,y,r,Time)
	
	if Time == nil then
		Time = 300
	end
	
	-- 正下方
	local cao = CppScriptMgr:AddSimplePlayer(63640,x+r,y+r)

	cao:SetCtrlMapView(1)
	-- 左下方
	cao:RunTo(x,y+r)
	CppScriptMgr:WaitMilSec(Time)

	-- 左方
	cao:RunTo(x-r,y+r)
	CppScriptMgr:WaitMilSec(Time)
	-- 左上方
	cao:RunTo(x-r,y)
	CppScriptMgr:WaitMilSec(Time)

	-- 上方
	cao:RunTo(x-r,y-r)
	CppScriptMgr:WaitMilSec(Time)

	-- 右上方
	cao:RunTo(x,y-r)
	CppScriptMgr:WaitMilSec(30)

	-- 右方
	cao:RunTo(x+r,y-r)
	CppScriptMgr:WaitMilSec(Time)

	-- 右下方
	cao:RunTo(x+r,y)
	CppScriptMgr:WaitMilSec(Time)

	-- 正中间
	cao:RunTo(x,y)
	CppScriptMgr:WaitMilSec(Time + 200)
	cao:SetCtrlMapView(0)
end

-- 镜头拉近
-- Size 镜头起始的大小(默认256)
-- num 循环次数
-- Mul 拉近倍数(默认1)
-- Time 每次拉近时间(默认33)
function LaJin(Size,num,Mul,Time)
	for i=1,num do
		CppScriptMgr:SetViewScale(Size+i*Mul)
		CppScriptMgr:WaitMilSec(Time)
	end
end

--光效放大缩小
-- x 坐标x
-- y 坐标y
-- EffectName 光效名称
-- OldSize 光效放大或缩小前的大小(正常大小为100,不能配置小数)
-- NewSize 光效放大或缩小后的大小(正常大小为100,不能配置小数)
-- Mul 放大或缩小倍数倍数(默认1)
-- Time 时间 默认33
function ChangeSize(x,y,EffectName,OldSize,NewSize,Mul,Time)
	local Player = CppScriptMgr:AddSimplePlayer(63640,x,y)
	Player:AddPartEffect(EffectName,2)
	Player:SetZoomPercent(OldSize)
	
	if Time == nil then
	 Time = 33
	end
	
	if OldSize > NewSize then
		local num = math.floor( ( OldSize - NewSize ) / Mul )
		for i=1,num do
			Player:SetZoomPercent(OldSize - i * Mul)
			CppScriptMgr:WaitMilSec(Time)
		end
	else
		local num = math.floor( ( NewSize - OldSize ) / Mul )
		for i=1,num do
			Player:SetZoomPercent(OldSize + i * Mul)
			CppScriptMgr:WaitMilSec(Time)
		end
	end
	return Player
end

--镜头平滑移动
-- BeginX 镜头移动起始X坐标
-- BeginY 镜头移动起始Y坐标
-- EndX 镜头移动结束X坐标
-- EndY 镜头移动结束Y坐标
-- Type 移动类型 1为走动的速度，2为跑动的速度，3为跳跃的速度
--(默认为2跑动的速度,3跳跃类型太远的距离会有问题,1走动的类型镜头移动最平滑)
-- Frame 移动速度(默认33)
-- Time 镜头移动时间时间(1000 为1秒)
-- 实际是一个透明NPC在地图内跑动，所以遇到墙体或障碍物会走不过去
function MoveView(BeginX,BeginY,EndX,EndY,Type,Frame,Time)
	local View = CppScriptMgr:AddPlayer(175,BeginX,BeginY)
	View:SetHide(1)
	View:SetFrameInterval(Frame)
	View:SetCtrlMapView(1)
	
	if Type == nil then
		Type = 2
	end
	
	if Type == 1 then
		View:WalkTo(EndX,EndY)
	elseif Type == 2 then
		View:RunTo(EndX,EndY)
	elseif Type == 3 then
		View:JumpTo(EndX,EndY)
	end
	
	CppScriptMgr:WaitMilSec(Time)
	View:SetCtrlMapView(0)
end

--放大缩小当前角色
-- Npc 角色变量
-- OldSize 光效放大或缩小前的大小(正常大小为100,不能配置小数)
-- NewSize 光效放大或缩小后的大小(正常大小为100,不能配置小数)
-- Mul 放大或缩小倍数倍数(默认1)
-- Time 时间 默认33
function ChangeNpcZoom(Npc,OldSize,NewSize,Mul,Time)
	
	if OldSize > NewSize then
		local num = math.floor( ( OldSize - NewSize ) / Mul )
		for i=1,num do
			Npc:SetZoomPercent(OldSize - i * Mul)
			CppScriptMgr:WaitMilSec(Time)
		end
		
	elseif OldSize < NewSize then
		local num = math.floor( ( NewSize - OldSize ) / Mul )
		for i=1,num do
			Npc:SetZoomPercent(OldSize + i * Mul)
			CppScriptMgr:WaitMilSec(Time)
		end
	end
end

